[arch-commits] Commit in haskell-regex-tdfa/repos (2 files)

Felix Yan felixonmars at gemini.archlinux.org
Sun Jul 31 18:20:36 UTC 2022


    Date: Sunday, July 31, 2022 @ 18:20:36
  Author: felixonmars
Revision: 1259374

archrelease: copy trunk to community-staging-x86_64

Added:
  haskell-regex-tdfa/repos/community-staging-x86_64/
  haskell-regex-tdfa/repos/community-staging-x86_64/PKGBUILD
    (from rev 1259373, haskell-regex-tdfa/trunk/PKGBUILD)

----------+
 PKGBUILD |   49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

Copied: haskell-regex-tdfa/repos/community-staging-x86_64/PKGBUILD (from rev 1259373, haskell-regex-tdfa/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2022-07-31 18:20:36 UTC (rev 1259374)
@@ -0,0 +1,49 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+
+_hkgname=regex-tdfa
+pkgname=haskell-regex-tdfa
+pkgver=1.3.1.4
+pkgrel=1
+pkgdesc="Pure Haskell Tagged DFA Backend for Text.Regex (regex-base)"
+url="https://wiki.haskell.org/Regular_expressions"
+license=("BSD")
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-regex-base')
+makedepends=('ghc' 'uusi' 'haskell-doctest-parallel' 'haskell-utf8-string')
+source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz")
+sha512sums=('fe8bbb4d4f6d7b4b735b7440106582c1e65fb283365b36960b66d07643a13e1a23b11a74bdcd66a825c729ab66df210af8e28d1b0b9086f7d1531205644542f1')
+
+prepare() {
+    cd $_hkgname-$pkgver
+    gen-setup
+}
+
+build() {
+    cd $_hkgname-$pkgver
+    
+    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+        --prefix=/usr --docdir=/usr/share/doc/$pkgname --datasubdir=$pkgname --enable-tests \
+        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid --ghc-option=-fllvm
+    runhaskell Setup build $MAKEFLAGS
+    runhaskell Setup register --gen-script
+    runhaskell Setup unregister --gen-script
+    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+    cd $_hkgname-$pkgver
+    # doctest-parallel is currently broken
+    runhaskell Setup test --show-details=direct || echo "Tests failed"
+}
+
+package() {
+    cd $_hkgname-$pkgver
+    
+    install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
+    install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
+    runhaskell Setup copy --destdir="$pkgdir"
+    install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+    rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
+}



More information about the arch-commits mailing list